%global srcname docsis

Name:           %{srcname}-config-encoder
Version:        0.9.8
Release:        1%{?dist}
Summary:        Encode a DOCSIS binary configuration file

License:        GPLv2+
URL:            http://%{srcname}.sf.net
Source0:        https://github.com/rlaager/%{srcname}/archive/upstream/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildRequires:  automake libtool 
BuildRequires:  bison bison-devel flex flex-devel
BuildRequires:  net-snmp-devel
BuildRequires:  glib2-devel
BuildRequires:  help2man

# bundled md5 implementation
Provides:       bundled(md5-plumb)

Requires:       %{name}-data = %{version}-%{release}


%description
This program encodes a DOCSIS binary configuration file
from a human-readable text configuration file. 


%package data
Summary:        Data files for %{name}
BuildArch:      noarch

%description data
Data files to generate a docsis configuration like with SNMP and MIB.


%package doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

%description doc
%{summary}.


%prep
%setup -qn%{srcname}-upstream-%{version}
# call configure in build section
sed -i '/\.\/configure/d' autogen.sh
# automake: warning: autoconf input should be named 'configure.ac', not 'configure.in'
mv configure.in configure.ac
sh autogen.sh

%build
%configure
%make_build
# documentation is separate
make -C doc

%install
# rename binary
mkdir -p %{buildroot}%{_bindir}
install -m0755 -p src/%{srcname} %{buildroot}%{_bindir}/%{name}
# generate manpage
mkdir -p %{buildroot}%{_mandir}/man1
help2man %{buildroot}%{_bindir}/%{name} --no-discard-stderr -o %{buildroot}%{_mandir}/man1/%{name}.1
# snmp files
pushd mibs
%make_install

%check
pushd tests
# docsis1 and docsis2 require nonfree MIB files, https://github.com/rlaager/docsis/issues/9
rm docsis1_* docsis20*
sh RunTests.sh
popd

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%files data
# net-snmp-libs package owns sub folder
%{_datadir}/snmp/mibs/*

%files doc
%license COPYING
%doc doc/*.html
%doc examples/


%changelog
* Fri Oct 30 2015 Raphael Groner <projects.rg@smart.ms> - 0.9.8-1
- official upstream release
- simplify installation commands, as pathes given in Makefile are useless
- revert move of snmp files, as they should be generally found by snmp binaries
- remove obsolete FIXME notes

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-0.2.20150302git68e622f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 03 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.9.8-0.1.20150302git68e622f
- switch to rlaager cause of merged with AdrianSimionov
- new pre-version 0.9.8 (mentioned in ChangeLog)
- make binary executable
- remove Suggests: doc subpackage
- move snmp files into data subpackage

* Mon Mar 02 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.9.6-6.20150218git8ef81f6
- temporarily re-enable failing test on ARM

* Sun Mar 01 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.9.6-5.20150218git8ef81f6
- prevent documentation duplication
- run configure once only
- fix URL
- R: snmp subpackage
- add license to subpackages
- disable failing tests, e.g. at ARM

* Sat Feb 28 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.9.6-4.20150218git8ef81f6
- disable a failing test on ARM

* Wed Feb 25 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.9.6-3.20150108git
- fix review issues
- introduce license macro
- new upstream commit
- remove upstreamed patches

* Thu Jan 08 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0.9.6-2.20140108git
- apply master patches

* Thu Jan 08 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0.9.6-1.20140107git423fcb3
- initial
